// DESCRIPTION: מעביר הערה או אובייקט מעוגן מתחילת החיפוש לסופו
// התו הראשון או האחרון צריך להיות האובייקט מעוגן או ההפניה להערה - שים לב שהסקריפט מחליף גם בהערות שוליים

app.doScript(Main, undefined, undefined, UndoModes.ENTIRE_SCRIPT,"Run Script");
function Main(){

// Prompt the user for a GREP search string
var searchString = prompt("Move Anchors and Footnotes\n Enter the GREP search string:", "");

// Check if the user clicked "Cancel" or entered an empty string
if (searchString === null || searchString === "") {
    alert("No valid input provided. Script aborted.");
} else {
    // Prompt the user for the character movement option
    var moveOption = confirm("Do you want to move the:\n\n- First character to the end (YES)\n- Last character to the beginning (NO)");

    // Set the GREP search preferences
    app.findGrepPreferences = null;
    app.findGrepPreferences.findWhat = searchString;

    // Find all occurrences of the specified GREP search
    var found = app.documents[0].findGrep();

    // Iterate through the found items and move the selected character
    for (var i = found.length - 1; i >= 0; i--) {
        if (moveOption) {
            // Move the first character to the end
            found[i].characters[0].move(LocationOptions.AFTER, found[i].characters[-1]);
        } else {
            // Move the last character to the beginning
            found[i].characters[-1].move(LocationOptions.BEFORE, found[i].characters[0]);
        }
    }

    // Clear the findGrepPreferences to avoid affecting subsequent operations
    app.findGrepPreferences = null;

    // Inform the user about the script completion
    alert("Script completed successfully!");
}

}